The Spring Framework

## org.springframework.jms.connection
Class ChainedExceptionListener

    java.lang.Object
      org.springframework.jms.connection.ChainedExceptionListener

All Implemented Interfaces:
  ExceptionListener

    public class ChainedExceptionListener

extends Object
implements ExceptionListener

Implementation of the JMS ExceptionListener interface that supports chaining, allowing the addition of multiple ExceptionListener instances in order.

Since:
  2.0
Author:
  Juergen Hoeller

Constructor Summary
`ChainedExceptionListener()`

Method Summary
`void` `addDelegate(ExceptionListener listener)` Add an ExceptionListener to the chained delegate list.
`ExceptionListener[]` `getDelegates()` Return all registered ExceptionListener delegates (as array).
`void` `onException(JMSException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedExceptionListener

    public ChainedExceptionListener()

Method Detail

### addDelegate

    public final void addDelegate(ExceptionListener listener)

  Add an ExceptionListener to the chained delegate list.

### getDelegates

    public final ExceptionListener[] getDelegates()

  Return all registered ExceptionListener delegates (as array).

### onException

    public void onException(JMSException ex)

  Specified by:
    `onException` in interface `ExceptionListener`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.